<%@page contentType="text/html;charset=UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>
<%@ taglib prefix="s" uri="http://shale.apache.org/core" %>

<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

--%>

<f:view>
<%@include              file="../messages.jspf"%>
<html>
<head>
<title>
  <h:outputText         value="#{messages['token.test.title']}"/>
</title>
</head>
<body>

  <h:form                  id="form">

    <h:messages            id="messages"
                   globalOnly="false"/>

    <h:panelGrid           id="grid"
                      columns="3">

      <h:outputLabel      for="value"
                        value="#{messages['token.test.message']}"/>
      <h:inputText         id="value"
                      required="true"
                        value="#{token$test.value}"/>
      <h:message           id="valueMessage"
                          for="value"/>

      <h:outputLabel      for="token"
                        value=""/>
      <s:token             id="token"/>
      <h:message           id="tokenMessage"
                          for="token"/>

      <h:outputText     value=""/>
      <h:commandButton     id="submit"
                         value="Submit"
                       action="usecases$toplevel"/>
      <h:outputText     value=""/>

    </h:panelGrid>

    <f:verbatim><p></f:verbatim>

    <h:outputText       value="#{messages['token.test.description']}"
	               escape="false"
	                style="font-style: italic"/>

    <f:verbatim><p></f:verbatim>

    <h:commandLink         id="back"
                     immediate="true"  
                         value="#{messages['usecases.primary']}"
                        action="usecases$toplevel"/>

  </h:form>

</body>
</html>
</f:view>
